## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm
# https://github.com/kubernetes-sigs/yaml/issues/23
# https://github.com/kubernetes-sigs/yaml/issues/34
%ifarch x86_64
%bcond_without check
%endif

# https://github.com/kubernetes-sigs/yaml
%global goipath         sigs.k8s.io/yaml
%global forgeurl        https://github.com/kubernetes-sigs/yaml
Version:                1.2.0

%gometa

%global common_description %{expand:
A wrapper around go-yaml designed to enable a better way of handling YAML when
marshaling to and from structs.

In short, this library first converts YAML to JSON using go-yaml and then uses
json.Marshal and json.Unmarshal to convert to or from the struct. This means
that it effectively reuses the JSON struct tags as well as the custom JSON
methods MarshalJSON and UnmarshalJSON unlike go-yaml.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md RELEASE.md code-of-\\\
                        conduct.md

Name:           %{goname}
Release:        %autorelease
Summary:        Marshal and unmarshal YAML in Go

License:        MIT and BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(gopkg.in/yaml.v2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 14 17:40:51 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 10 14:28:47 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.0-1
- Initial package

